net.i2p.crypto

## Class HMAC256Generator

- java.lang.Object
- - net.i2p.crypto.HMACGenerator
  - - net.i2p.crypto.HMAC256Generator

    public class HMAC256Generator
    extends HMACGenerator

Calculate the HMAC-SHA256 of a key+message. All the good stuff occurs in `I2PHMac` and `Sha256Standalone`. This should be compatible with javax.crypto.Mac.getInstance("HmacSHA256") but that is untested. deprecated used only by syndie

### Field Summary

### Fields inherited from class net.i2p.crypto.HMACGenerator

`_available`

### Constructor Summary

Constructors
Constructor and Description
`HMAC256Generator(I2PAppContext context)`

### Method Summary

Methods
`protected I2PHMac` `acquire()`

### Methods inherited from class net.i2p.crypto.HMACGenerator

`calculate, calculate, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HMAC256Generator

    public HMAC256Generator(I2PAppContext context)

### Method Detail

#### acquire

    protected I2PHMac acquire()

Overrides:
  `acquire` in class `HMACGenerator`